%define Name Erlang
%define ver R12B
%define bname erlang
%define doc_format html
Name: %bname-doc-%doc_format
%define subver 5
Version: %ver.%subver
Release: alt5
Summary: Documentation for Erlang/OTP in HTML format
License: EPL
Group: Development/Documentation
URL: http://www.%bname.org
Source: otp_doc_%{doc_format}_%ver-%subver.tar
Patch0: otp_doc_%{doc_format}_%ver-%subver-mnesia_ext.patch
Patch1: otp_doc_%{doc_format}_%ver-%subver-tuples.patch
BuildArch: noarch
Conflicts: %bname-manual < R11B.4-alt0.1
Conflicts: %bname < R12B.5-alt6
Provides: %bname-manual = %version-%release
Provides: %bname-doc = %version-%release
Obsoletes: %bname-doc
Packager: Led <led@altlinux.ru>
AutoReq: no

BuildRequires(pre): rpm-macros-erlang
BuildRequires: symlinks

%description
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains documentation for %Name/OTP in HTML format.


%prep
%setup -c
%patch0 -p1
%patch1 -p1


%install
install -d -m 0755 %buildroot{%_otplibdir,%_erldocdir,%_docdir/%bname-%version/%doc_format/lib}
cp -r doc/* %buildroot%_erldocdir/
cp -r lib/* %buildroot%_otplibdir/
cp -r erts-* %buildroot%_otpdir/
ln -sf %buildroot%_erldocdir %buildroot%_docdir/%bname-%version/%doc_format/tutorial
ln -sf %buildroot%_otpdir/erts-* %buildroot%_docdir/%bname-%version/%doc_format/
for d in %buildroot%_otplibdir/*; do
    l=$(basename $d)
    mkdir %buildroot%_docdir/%bname-%version/%doc_format/lib/$l
    ln -sf $d/{doc,info} %buildroot%_docdir/%bname-%version/%doc_format/lib/$l/
done
symlinks -rscd %buildroot%_docdir/%bname-%version/%doc_format


%files
%dir %_docdir/%bname-%version
%_docdir/%bname-%version/%doc_format
%dir %_otpdir
%_erldocdir
%dir %_otpdir/erts-*
%_otpdir/erts-*/doc
%_otpdir/erts-*/info
%dir %_otplibdir
%dir %_otplibdir/*
%_otplibdir/*/doc
%_otplibdir/*/info


%changelog
* Thu Jan 29 2009 Led <led@altlinux.ru> R12B.5-alt5
- fixed Group
- fixed typo in tuples.html
- fixed Summary and %%description

* Sun Jan 18 2009 Led <led@altlinux.ru> R12B.5-alt4
- added reference to tuples.html into
  lib/stdlib-1.15.5/doc/html/ref_man.html

* Sat Jan 17 2009 Led <led@altlinux.ru> R12B.5-alt3
- cleaned up erlang.html
- added tuples.html
- updated indexes

* Fri Jan 09 2009 Led <led@altlinux.ru> R12B.5-alt2
- added BIFs erlang:delete_element/2, erlang:insert_element/3

* Sun Dec 28 2008 Led <led@altlinux.ru> R12B.5-alt1
- R12B-5

* Sun Nov 23 2008 Led <led@altlinux.ru> R12B.4-alt6
- updated %%pre script

* Sat Nov 22 2008 Led <led@altlinux.ru> R12B.4-alt5
- fixed update

* Sun Nov 16 2008 Led <led@altlinux.ru> R12B.4-alt4
- cleaned up
- mnesia version num reverted to original

* Sat Nov 15 2008 Led <led@altlinux.ru> R12B.4-alt3
- fixed symlinks in %%docdir

* Thu Nov 06 2008 Led <led@altlinux.ru> R12B.4-alt2
- fixed URL

* Thu Sep 04 2008 Led <led@altlinux.ru> R12B.4-alt1
- R12B-4
- updated otp_doc_html_R12B-4-mnesia_ext.patch

* Thu Sep 04 2008 Led <led@altlinux.ru> R12B.3-alt3
- updated otp_doc_html_R12B-3-mnesia_ext.patch

* Wed Sep 03 2008 Led <led@altlinux.ru> R12B.3-alt2
- updated otp_doc_html_R12B-3-mnesia_ext.patch

* Fri Aug 15 2008 Led <led@altlinux.ru> R12B.3-alt1
- added otp_doc_html_R12B-3-mnesia_ext.patch

* Wed Jun 18 2008 Led <led@altlinux.ru> R12B.3-alt0.1
- R12B-3

* Sat Jun 14 2008 Led <led@altlinux.ru> R11B.5-alt1
- fixed subdirectories packaging violation

* Thu Jul 05 2007 Led <led@altlinux.ru> R11B.5-alt0.2
- fixed libraries doc links

* Tue Jun 26 2007 Led <led@altlinux.ru> R11B.5-alt0.1
- R11B-5

* Wed Jun 06 2007 Led <led@altlinux.ru> R11B.4-alt0.1
- initial build
